package com.javahonk.solace;

import javax.jms.JMSException;
import javax.naming.NamingException;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.javahonk.jms.solace.SolaceMessagePublisher;


public class JavahonkSolaceApplicationTest {
	
	private static final Logger logger = LogManager.getLogger(JavahonkSolaceApplicationTest.class.getName());
	
	public static void main(String[] args) throws NamingException, JMSException, InterruptedException {
		
		logger.info("Java Honk Solace Output Adapter Starting...");
		
		ApplicationContext context = new ClassPathXmlApplicationContext("spring-context.xml");
		
		SolaceMessagePublisher solaceMessagePublisher = context.getBean(SolaceMessagePublisher.class);
		
		for (int i = 0; i < 15; i++) {
			solaceMessagePublisher.sendMessage("Java Honk Hello Solace");			
		}
		
		((AbstractApplicationContext) context).close();
		
	}
}
